Bug 459076 - "Maybe you mean" goes nuts with one existing and one non-existing package
"Maybe you mean" goes nuts with one existing and one non-existing package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 07:26 EDT by Mary Ellen Foster
Modified: 2014-01-21 18:06 EST (History)
5 users (show)

See Also:
Fixed In Version: yum-3.2.19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 10:15:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of yum suggesting every single package (187.95 KB, text/plain)
2008-08-14 07:26 EDT, Mary Ellen Foster
no flags Details

  None (edit)
Description Mary Ellen Foster 2008-08-14 07:26:26 EDT
Created attachment 314308 [details]
Output of yum suggesting every single package

Description of problem:
If I try to "yum install" more than one package where one of the packages doesn't exist, yum tries to suggest (as far as I can tell) every single package in the repository as an alternative. This doesn't seem to happen if the non-existing package is the only one on the install line.

Version-Release number of selected component (if applicable):
yum-3.2.18-1.fc9.noarch

How reproducible:
Every time

Steps to Reproduce:
1. yum install java something-weird
(i.e., one package that does exist and one that doesn't; no matter whether it's installed or not)
  
Actual results:
yum says:
No package something-weird available.                                        
  * Maybe you meant: [every package]

Expected results:
Either "No package available" or a sensible suggestion

Additional info:
This doesn't seem to happen with just "yum install something-weird"; you also need the existing package on the install line.

I'll attach the output of actually trying to do this.
Comment 1 James Antill 2008-08-14 09:41:37 EDT
 Thanks I hadn't thought about that case!

 Running both of the following now does the expected thing:

 yum install java balahalahal
 yum install java MySQL-server

...this will be in 3.2.19, which should be out soon.
Comment 2 Fedora Update System 2008-08-27 14:02:10 EDT
yum-3.2.19-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/yum-3.2.19-1.fc8
Comment 3 Fedora Update System 2008-08-27 14:03:36 EDT
yum-3.2.19-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yum-3.2.19-1.fc9
Comment 4 seth vidal 2008-09-03 10:15:28 EDT
closing
Comment 5 Fedora Update System 2008-09-10 02:58:43 EDT
yum-3.2.19-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-09-10 02:59:17 EDT
yum-3.2.19-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-12-01 10:38:18 EST
yum-3.2.20-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yum-3.2.20-4.fc9
Comment 8 Fedora Update System 2008-12-08 12:08:10 EST
yum-3.2.20-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yum-3.2.20-5.fc9
Comment 9 Fedora Update System 2008-12-17 19:31:39 EST
yum-3.2.20-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.